import * as _vue from "vue";

/**
 * @Date: 2020/11/23 8:12 下午
 * @Author: Fioanna
 * @Description: 带文字长度展示的文本域，继承自EInput
 */
import ATextarea from 'ant-design-vue/es/input/TextArea';
import EInput from '../Input';
import textareaProps from './types';
export default {
  name: 'ETextarea',
  "extends": EInput,
  components: {
    ATextarea: ATextarea
  },
  props: textareaProps,
  methods: {
    _renderInput: function _renderInput() {
      return _vue.createVNode(_vue.resolveComponent("a-textarea"), _vue.mergeProps({
        props: this.$props
      }, {
        "onChange": this._change,
        "onBlur": this._blur
      }), null);
    }
  }
};